Package org.apache.ignite.binary

## Class BinaryBasicNameMapper

- java.lang.Object
- - org.apache.ignite.binary.BinaryBasicNameMapper

- All Implemented Interfaces:
    `BinaryNameMapper`

      public class BinaryBasicNameMapper
      extends Object
      implements BinaryNameMapper

  Base binary name mapper implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `DFLT_SIMPLE_NAME` | Default use simple name flag setting.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryBasicNameMapper()` | Default constructor.
    `BinaryBasicNameMapper​(boolean isSimpleName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)`
    `String` | `fieldName​(String fieldName)` | Gets field name.
    `int` | `hashCode()`
    `boolean` | `isSimpleName()` | Gets whether to use simple name of class or not.
    `BinaryBasicNameMapper` | `setSimpleName​(boolean isSimpleName)` | Sets whether to use simple name of class or not.
    `String` | `toString()`
    `String` | `typeName​(String clsName)` | Gets type clsName.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_SIMPLE_NAME

          public static final boolean DFLT_SIMPLE_NAME

      Default use simple name flag setting.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BinaryBasicNameMapper

          public BinaryBasicNameMapper()

      Default constructor.

    - #### BinaryBasicNameMapper

          public BinaryBasicNameMapper​(boolean isSimpleName)

      Parameters:
        `isSimpleName` - Whether to use simple (no package) name of class or not.

        Defaults to `DFLT_SIMPLE_NAME`.

  - ### Method Detail

    - #### isSimpleName

          public boolean isSimpleName()

      Gets whether to use simple name of class or not.
      Returns:
        Whether to use simple name of class or not.

    - #### setSimpleName

          public BinaryBasicNameMapper setSimpleName​(boolean isSimpleName)

      Sets whether to use simple name of class or not.
      Parameters:
        `isSimpleName` - Whether to use simple name of class or not.
      Returns:
        `this` for chaining.

    - #### typeName

          public String typeName​(String clsName)

      Gets type clsName.
      Specified by:
        `typeName` in interface `BinaryNameMapper`
      Parameters:
        `clsName` - Class came
      Returns:
        Type name.

    - #### fieldName

          public String fieldName​(String fieldName)

      Gets field name.
      Specified by:
        `fieldName` in interface `BinaryNameMapper`
      Parameters:
        `fieldName` - Field name.
      Returns:
        Field name.

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`